##******************************************************************
##                      MadGraph/MadEvent                          *
##******************************************************************
##                                                                 *
##  param_card corresponding the SPS point 1a (by SoftSusy 2.0.5)  *
##                                                                 *
##******************************************************************
## Les Houches friendly file for the (MS)SM parameters of MadGraph *
##      SM parameter set and decay widths produced by MSSMCalc     *
##******************************************************************
##*Please note the following IMPORTANT issues:                     *
##                                                                 *
##0. REFRAIN from editing this file by hand! Some of the parame-   *
##   ters are not independent. Always use a calculator.            *
##                                                                 *
##1. alpha_S(MZ) has been used in the calculation of the parameters*
##   This value is KEPT by madgraph when no pdf are used lpp(i)=0, *
##   but, for consistency, it will be reset by madgraph to the     *
##   value expected IF the pdfs for collisions with hadrons are    *
##   used.                                                         *
##                                                                 *
##2. Values of the charm and bottom kinematic (pole) masses are    *
##   those used in the matrix elements and phase space UNLESS they *
##   are set to ZERO from the start in the model (particles.dat)   *
##   This happens, for example,  when using 5-flavor QCD where     *
##   charm and bottom are treated as partons in the initial state  *
##   and a zero mass might be hardwired in the model definition.   *
##                                                                 *
##       The SUSY decays have calculated using SDECAY 1.1a         *
##                                                                 *
##******************************************************************
#
BLOCK DCINFO  # Decay Program information
     1   SDECAY      # decay calculator
     2   1.1a        # version number
#
BLOCK SPINFO  # Spectrum calculator information
     1   SOFTSUSY    # spectrum calculator                 
     2   2.0.5         # version number                    
#
BLOCK MODSEL  # Model selection
     1     1   sugra                                             
#
BLOCK SMINPUTS  # Standard Model inputs
     1     1.27934000E+02   # alpha_em^-1(M_Z)^MSbar
     2     1.16637000E-05   # G_F [GeV^-2]
     3     1.18000000E-01   # alpha_S(M_Z)^MSbar
     4     9.11876000E+01   # M_Z pole mass
     5     4.25000000E+00   # mb(mb)^MSbar
     6     1.75000000E+02   # mt pole mass
     7     1.77700000E+00   # mtau pole mass
#
BLOCK MINPAR  # Input parameters - minimal models
     1     1.00000000E+02   # m0                  
     2     2.50000000E+02   # m12                 
     3     1.00000000E+01   # tanb                
     4     1.00000000E+00   # sign(mu)            
     5    -1.00000000E+02   # A0                  
#
BLOCK MASS  # Mass Spectrum
# PDG code           mass       particle
         5     4.88991651E+00   # b-quark pole mass calculated from mb(mb)_Msbar
         6     1.75000000E+02   # mt pole mass (not read by ME)
        24     7.98290131E+01   # W+
        25     1.10899057E+02   # h
        35     3.99960116E+02   # H
        36     3.99583917E+02   # A
        37     4.07879012E+02   # H+
   1000001     5.68441109E+02   # ~d_L
   2000001     5.45228462E+02   # ~d_R
   1000002     5.61119014E+02   # ~u_L
   2000002     5.49259265E+02   # ~u_R
   1000003     5.68441109E+02   # ~s_L
   2000003     5.45228462E+02   # ~s_R
   1000004     5.61119014E+02   # ~c_L
   2000004     5.49259265E+02   # ~c_R
   1000005     5.13065179E+02   # ~b_1
   2000005     5.43726676E+02   # ~b_2
   1000006     3.99668493E+02   # ~t_1
   2000006     5.85785818E+02   # ~t_2
   1000011     2.02915690E+02   # ~e_L
   2000011     1.44102799E+02   # ~e_R
   1000012     1.85258326E+02   # ~nu_eL
   1000013     2.02915690E+02   # ~mu_L
   2000013     1.44102799E+02   # ~mu_R
   1000014     1.85258326E+02   # ~nu_muL
   1000015     1.34490864E+02   # ~tau_1
   2000015     2.06867805E+02   # ~tau_2
   1000016     1.84708464E+02   # ~nu_tauL
   1000021     6.07713704E+02   # ~g
   1000022     9.66880686E+01   # ~chi_10
   1000023     1.81088157E+02   # ~chi_20
   1000025    -3.63756027E+02   # ~chi_30
   1000035     3.81729382E+02   # ~chi_40
   1000024     1.81696474E+02   # ~chi_1+
   1000037     3.79939320E+02   # ~chi_2+
#
BLOCK NMIX  # Neutralino Mixing Matrix
  1  1     9.86364430E-01   # N_11
  1  2    -5.31103553E-02   # N_12
  1  3     1.46433995E-01   # N_13
  1  4    -5.31186117E-02   # N_14
  2  1     9.93505358E-02   # N_21
  2  2     9.44949299E-01   # N_22
  2  3    -2.69846720E-01   # N_23
  2  4     1.56150698E-01   # N_24
  3  1    -6.03388002E-02   # N_31
  3  2     8.77004854E-02   # N_32
  3  3     6.95877493E-01   # N_33
  3  4     7.10226984E-01   # N_34
  4  1    -1.16507132E-01   # N_41
  4  2     3.10739017E-01   # N_42
  4  3     6.49225960E-01   # N_43
  4  4    -6.84377823E-01   # N_44
#
BLOCK UMIX  # Chargino Mixing Matrix U
  1  1     9.16834859E-01   # U_11
  1  2    -3.99266629E-01   # U_12
  2  1     3.99266629E-01   # U_21
  2  2     9.16834859E-01   # U_22
#
BLOCK VMIX  # Chargino Mixing Matrix V
  1  1     9.72557835E-01   # V_11
  1  2    -2.32661249E-01   # V_12
  2  1     2.32661249E-01   # V_21
  2  2     9.72557835E-01   # V_22
#
BLOCK STOPMIX  # Stop Mixing Matrix
  1  1     5.53644960E-01   # O_{11}
  1  2     8.32752820E-01   # O_{12}
  2  1     8.32752820E-01   # O_{21}
  2  2    -5.53644960E-01   # O_{22}
#
BLOCK SBOTMIX  # Sbottom Mixing Matrix
  1  1     9.38737896E-01   # O_{11}
  1  2     3.44631925E-01   # O_{12}
  2  1    -3.44631925E-01   # O_{21}
  2  2     9.38737896E-01   # O_{22}
#
BLOCK STAUMIX  # Stau Mixing Matrix
  1  1     2.82487190E-01   # O_{11}
  1  2     9.59271071E-01   # O_{12}
  2  1     9.59271071E-01   # O_{21}
  2  2    -2.82487190E-01   # O_{22}
#
BLOCK ALPHA  # Higgs mixing
          -1.13825210E-01   # Mixing angle in the neutral Higgs boson sector
#
BLOCK HMIX Q=  4.67034192E+02  # DRbar Higgs Parameters
     1     3.57680977E+02   # mu(Q)MSSM DRbar     
     2     9.74862403E+00   # tan beta(Q)MSSM DRba
     3     2.44894549E+02   # higgs vev(Q)MSSM DRb
     4     1.66439065E+05   # mA^2(Q)MSSM DRbar   
#
BLOCK GAUGE Q=  4.67034192E+02  # The gauge couplings
     3     1.10178679E+00   # g3(Q) MSbar
#
BLOCK AU Q=  4.67034192E+02  # The trilinear couplings
  1  1     0.00000000E+00   # A_u(Q) DRbar
  2  2     0.00000000E+00   # A_c(Q) DRbar
  3  3    -4.98129778E+02   # A_t(Q) DRbar
#
BLOCK AD Q=  4.67034192E+02  # The trilinear couplings
  1  1     0.00000000E+00   # A_d(Q) DRbar
  2  2     0.00000000E+00   # A_s(Q) DRbar
  3  3    -7.97274397E+02   # A_b(Q) DRbar
#
BLOCK AE Q=  4.67034192E+02  # The trilinear couplings
  1  1     0.00000000E+00   # A_e(Q) DRbar
  2  2     0.00000000E+00   # A_mu(Q) DRbar
  3  3    -2.51776873E+02   # A_tau(Q) DRbar
#
BLOCK YU Q=  4.67034192E+02  # The Yukawa couplings
  3  3     8.92844550E-01   # y_t(Q) DRbar
#
BLOCK YD Q=  4.67034192E+02  # The Yukawa couplings
  3  3     1.38840206E-01   # y_b(Q) DRbar
#
BLOCK YE Q=  4.67034192E+02  # The Yukawa couplings
  3  3     1.00890810E-01   # y_tau(Q) DRbar
#
BLOCK MSOFT Q=  4.67034192E+02  # The soft SUSY breaking masses at the scale Q
     1     1.01396534E+02   # M_1(Q)              
     2     1.91504241E+02   # M_2(Q)              
     3     5.88263031E+02   # M_3(Q)              
    21     3.23374943E+04   # mH1^2(Q)            
    22    -1.28800134E+05   # mH2^2(Q)            
    31     1.95334764E+02   # meL(Q)              
    32     1.95334764E+02   # mmuL(Q)             
    33     1.94495956E+02   # mtauL(Q)            
    34     1.36494061E+02   # meR(Q)              
    35     1.36494061E+02   # mmuR(Q)             
    36     1.34043428E+02   # mtauR(Q)            
    41     5.47573466E+02   # mqL1(Q)             
    42     5.47573466E+02   # mqL2(Q)             
    43     4.98763839E+02   # mqL3(Q)             
    44     5.29511195E+02   # muR(Q)              
    45     5.29511195E+02   # mcR(Q)              
    46     4.23245877E+02   # mtR(Q)              
    47     5.23148807E+02   # mdR(Q)              
    48     5.23148807E+02   # msR(Q)              
    49     5.19867261E+02   # mbR(Q)              
